ceph amulet tests failing after config option removed from nova.conf

Bug #1548478 reported by Ryan Beisner on 2016-02-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ceph (Juju Charms Collection)
Medium
Edward Hope-Morley
ceph-mon (Juju Charms Collection)
Medium
Edward Hope-Morley
ceph-osd (Juju Charms Collection)
Medium
Edward Hope-Morley
ceph-radosgw (Juju Charms Collection)
Medium
Edward Hope-Morley
cinder-ceph (Juju Charms Collection)
Medium
Edward Hope-Morley
nova-compute (Juju Charms Collection)
Medium
Edward Hope-Morley

Bug Description

This landed:
https://code.launchpad.net/~hopem/charms/trusty/nova-compute/lp1489463/+merge/285486

For this bug:
https://bugs.launchpad.net/charms/+source/nova-compute/+bug/1489463

Now amulet test for ceph/next and ceph-radosgw/next fail with:
01:15:21.503 2016-02-22 18:54:18,651 validate_config_data DEBUG: Validating config file data (libvirt in /etc/nova/nova.conf on nova-compute/0)...
01:15:21.503 nova (rbd) config error: section [libvirt] is missing option rbd_pool

Here is the rendered nova.conf from nova-compute/0:
http://pastebin.ubuntu.com/15173189/

Related branches

Ryan Beisner (1chb1n) on 2016-02-22
description: updated
Edward Hope-Morley (hopem) wrote :

The rbd_pool config option was removed since it was unused/incorrect. So, this is an issue in the ceph, ceph-osd and ceph-radosgw amulet tests only. However, only the kilo/nova.conf template was fixed so as part of the fix here i will ensure that all templates are cleaned up and tests fixed accordingly.

Changed in ceph (Juju Charms Collection):
status: New → In Progress
Changed in ceph-osd (Juju Charms Collection):
status: New → In Progress
Changed in ceph-radosgw (Juju Charms Collection):
status: New → In Progress
Changed in cinder-ceph (Juju Charms Collection):
status: New → In Progress
Changed in nova-compute (Juju Charms Collection):
status: New → In Progress
Changed in ceph (Juju Charms Collection):
importance: Undecided → Medium
Changed in nova-compute (Juju Charms Collection):
importance: Undecided → Medium
Changed in cinder-ceph (Juju Charms Collection):
assignee: nobody → Edward Hope-Morley (hopem)
Changed in nova-compute (Juju Charms Collection):
assignee: nobody → Edward Hope-Morley (hopem)
Changed in ceph-osd (Juju Charms Collection):
importance: Undecided → Medium
Changed in ceph-radosgw (Juju Charms Collection):
importance: Undecided → Medium
Changed in cinder-ceph (Juju Charms Collection):
importance: Undecided → Medium
Changed in ceph (Juju Charms Collection):
assignee: nobody → Edward Hope-Morley (hopem)
Changed in ceph-osd (Juju Charms Collection):
assignee: nobody → Edward Hope-Morley (hopem)
Changed in ceph-radosgw (Juju Charms Collection):
assignee: nobody → Edward Hope-Morley (hopem)
summary: - nova.conf section [libvirt] is missing option rbd_pool
+ amulet tests failing after config option removed from nova.conf
Changed in ceph (Juju Charms Collection):
milestone: none → 16.04
Changed in ceph-osd (Juju Charms Collection):
milestone: none → 16.04
Changed in ceph-radosgw (Juju Charms Collection):
milestone: none → 16.04
Changed in cinder-ceph (Juju Charms Collection):
milestone: none → 16.04
Changed in nova-compute (Juju Charms Collection):
milestone: none → 16.04
tags: added: sts
Changed in cinder-ceph (Juju Charms Collection):
status: In Progress → Invalid
Ryan Beisner (1chb1n) on 2016-02-22
summary: - amulet tests failing after config option removed from nova.conf
+ ceph amulet tests failing after config option removed from nova.conf
Changed in ceph-mon (Juju Charms Collection):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Edward Hope-Morley (hopem)
milestone: none → 16.04
James Page (james-page) on 2016-02-23
Changed in ceph-osd (Juju Charms Collection):
status: In Progress → Fix Committed
Changed in ceph (Juju Charms Collection):
status: In Progress → Fix Committed
Changed in ceph-radosgw (Juju Charms Collection):
status: In Progress → Fix Committed
tags: added: openstack
Changed in nova-compute (Juju Charms Collection):
status: In Progress → Fix Committed
Changed in ceph-mon (Juju Charms Collection):
status: In Progress → Fix Committed
James Page (james-page) on 2016-04-22
Changed in nova-compute (Juju Charms Collection):
status: Fix Committed → Fix Released
Changed in ceph (Juju Charms Collection):
status: Fix Committed → Fix Released
Changed in ceph-radosgw (Juju Charms Collection):
status: Fix Committed → Fix Released
Changed in ceph-osd (Juju Charms Collection):
status: Fix Committed → Fix Released
Changed in ceph-mon (Juju Charms Collection):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers